<?php

	use Reflect\{Response, Path};

	use VLW\API\API;
	use VLW\Database\Models\Languages\Language;

	require_once Path::root("src/API/API.php");
	require_once Path::root("src/Database/Models/Languages/Language.php");

	final class GET_Languages extends API {
		public function __construct() {
			parent::__construct();
		}

		public function main(): Response {
			return new Response(Language::all());
		}
	}